Uses of Interface
io.vertx.ext.web.handler.BodyHandler
Packages that use BodyHandler
Package
Description
-
Uses of BodyHandler in io.vertx.ext.web.handler
Methods in io.vertx.ext.web.handler that return BodyHandlerModifier and TypeMethodDescriptionstatic BodyHandlerBodyHandler.create()Create a body handler with defaults.static BodyHandlerBodyHandler.create(boolean handleFileUploads) Create a body handler setting if it should handle file uploads.static BodyHandlerCreate a body handler and use the given upload directory.BodyHandler.setBodyLimit(long bodyLimit) Set the maximum body size in bytes,-1means no limit.BodyHandler.setDeleteUploadedFilesOnEnd(boolean deleteUploadedFilesOnEnd) Set whether uploaded files should be removed after handling the request.BodyHandler.setHandleFileUploads(boolean handleFileUploads) Set whether file uploads will be handled.BodyHandler.setMergeFormAttributes(boolean mergeFormAttributes) Set whether form attributes will be added to the request parameters.BodyHandler.setPreallocateBodyBuffer(boolean isPreallocateBodyBuffer) Pre-allocate the body buffer according to the value parsed from content-length header.BodyHandler.setUploadsDirectory(String uploadsDirectory) Set the uploads directory to use. -
Uses of BodyHandler in io.vertx.reactivex.ext.web.handler
Methods in io.vertx.reactivex.ext.web.handler that return BodyHandlerMethods in io.vertx.reactivex.ext.web.handler with parameters of type BodyHandlerConstructors in io.vertx.reactivex.ext.web.handler with parameters of type BodyHandler -
Uses of BodyHandler in io.vertx.rxjava3.ext.web.handler
Methods in io.vertx.rxjava3.ext.web.handler that return BodyHandlerMethods in io.vertx.rxjava3.ext.web.handler with parameters of type BodyHandlerConstructors in io.vertx.rxjava3.ext.web.handler with parameters of type BodyHandler